<?php
include_once("incs/conf.php");
include_once("incs/fmysql.php");
include_once("incs/fnc.php");
include_once("incs/head.php");

head("Журнал",$meuser,$auth);
echo "<div class='rowup'>";
include_once("incs/title.php");
echo "Журнал</div>";

if($on==1){

$ban_ok=$user[ban]-$time;
if($ban_ok>0){
echo "Вы забанены по причине:<br>";
echo "<b>$user[ban_prich]</b><br>";
echo "До окончания бана осталось: $ban_ok сек.<br>";
echo "Старайтесь больше не нарушать <a href=\"../rules.php\">правила</a> сайта!<br>";
include_once("incs/down.php");
}

$msg_ju = mysql_num_rows(mysql_query("SELECT id FROM `jurnal` WHERE `id_user` = '$user[id]'"));
if($msg_ju==0)
{
echo "Нет записей";
}

if($on==1){
$end=$user[msg_for_page];
}else{
$end=10;}
$skok_pages=ceil($msg_ju/$end);
if(!isset($_GET['page'])){
$page=1;
}else{
$page=intval($_GET['page']);
if($page<1){$page=1;}
if($page>$skok_pages){$page=1;}
}
if($page==1 OR $page<1){
$start=0;
}else{
$start=($page-1)*$end;
}

$jur_msg=mysql_query("SELECT * FROM `jurnal` WHERE `id_user` = '$user[id]' ORDER BY id DESC LIMIT $start,$end");
while ($jurnal_msg = mysql_fetch_array($jur_msg))
{
mysql_query("UPDATE `jurnal` SET `read` = '1' WHERE `id_user` = '$user[id]'");
if($num==1){ 
echo "<div class='reki'>"; 
$num=0;
}else{ 
echo "<div class='rek'>"; 
$num=1;}
echo "($jurnal_msg[time]) $jurnal_msg[msg] ($jurnal_msg[kol])</div>";
}

if($skok_pages>1){
for($i=1;$i<=$skok_pages;$i++){
if($i==$page){
echo "<span class=\"str_t\">$i</span>";
}else{
echo "<span class=\"str_l\"><a href='?page=$i'>$i</a></span>";
}}}
}else{
echo "Чтоб пользаваться данным разделом надо пройти регистрацию<br>"; 
}
include_once("incs/down.php");
?>